Bug 861841 - lvm2app.h declares float lvm_percent_to_float(percent_t v) but linking fails
Summary: lvm2app.h declares float lvm_percent_to_float(percent_t v) but linking fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.5
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-01 05:34 UTC by benscott
Modified: 2013-02-21 08:14 UTC (History)
11 users (show)

Fixed In Version: lvm2-2.02.98-1.el6
Doc Type: Bug Fix
Doc Text:
The function lvm_percent_to_float() declared in lvm2app.h did not have implementation in the library. Any program, which has tried to use this function failed at linking time. It has been fixed by adding proper code into lvm2app library.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:14:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0501 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2013-02-20 21:30:45 UTC

Description benscott 2012-10-01 05:34:16 UTC
Description of problem:

lvm2app.h declares float lvm_percent_to_float(percent_t v) but linking fails. I don't think the source really implements the function anywhere.

Version-Release number of selected component (if applicable):
  LVM version:     2.02.98(2)-git (2012-08-24)
  Library version: 1.02.77-git (2012-08-24)
  Driver version:  4.22.0

Comment 2 Zdenek Kabelac 2012-10-11 15:31:59 UTC
Fixed upstream:

https://www.redhat.com/archives/lvm-devel/2012-October/msg00081.html

Comment 3 Zdenek Kabelac 2012-10-12 09:19:37 UTC
Simple linkage test should pass now, if the user is using this declared function.

Comment 7 errata-xmlrpc 2013-02-21 08:14:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0501.html


Note You need to log in before you can comment on or make changes to this bug.